<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFFFF">

    <android.support.constraint.Guideline
        android:id="@+id/guideline_dash2_full_screen_image_top"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.3"/>

    <android.support.constraint.Guideline
        android:id="@+id/guideline_dash2_full_screen_image_left"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.12"/>

    <android.support.constraint.Guideline
        android:id="@+id/guideline_dash2_full_screen_image_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.88"/>

    <TextView
        android:id="@+id/textView_dash2_full_screen_ad_t2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dash2_full_screen_ad_title_subtitle_margin_bottom"
        app:layout_constraintBottom_toTopOf="@id/guideline_dash2_full_screen_image_top"
        app:layout_constraintRight_toLeftOf="@+id/guideline_dash2_full_screen_image_right"
        app:layout_constraintLeft_toRightOf="@+id/guideline_dash2_full_screen_image_left"
        android:gravity="center"
        android:textSize="@dimen/dash2_full_screen_ad_subtitle_text_size"
        android:textColor="#000000"
        android:text="@string/dash2_full_screen_ad_subtitle"
        />

    <TextView
        android:id="@+id/textView_dash2_full_screen_ad_t1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dash2_full_screen_ad_title_subtitle_margin_bottom"
        app:layout_constraintBottom_toTopOf="@id/textView_dash2_full_screen_ad_t2"
        app:layout_constraintRight_toLeftOf="@+id/guideline_dash2_full_screen_image_right"
        app:layout_constraintLeft_toRightOf="@+id/guideline_dash2_full_screen_image_left"
        android:gravity="center"
        android:textSize="@dimen/dash2_full_screen_ad_title_text_size"
        android:textColor="#646464"
        android:text="@string/dash2_full_screen_ad_title"
        app:layout_constraintHorizontal_bias="0.0" />

    <ImageView
        android:id="@+id/imageView_dash2_full_screen_ad"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintRight_toLeftOf="@+id/guideline_dash2_full_screen_image_right"
        app:layout_constraintLeft_toRightOf="@+id/guideline_dash2_full_screen_image_left"
        app:layout_constraintTop_toTopOf="@+id/guideline_dash2_full_screen_image_top"
        app:layout_constraintDimensionRatio="1:1"
        android:adjustViewBounds="true"
        android:src="@mipmap/full_screen_ad_dash2" />

    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/dash2_full_screen_ad_title_subtitle_margin_bottom"
        app:layout_constraintTop_toTopOf="@id/imageView_dash2_full_screen_ad"
        app:layout_constraintLeft_toLeftOf="@id/imageView_dash2_full_screen_ad"
        app:layout_constraintRight_toRightOf="@id/imageView_dash2_full_screen_ad"
        android:textSize="@dimen/dash2_full_screen_ad_supporting_text_size"
        android:textColor="#FFFFFF"
        android:text="@string/dash2_full_screen_ad_supporting_text"/>

    <Button
        android:id="@+id/button_dash2_full_screen_ad_view_more"
        android:layout_width="0dp"
        android:layout_height="@dimen/dash2_full_screen_ad_view_more_btn_height"
        app:layout_constraintWidth_default="spread"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:background="#ffc107"
        android:textSize="16sp"
        android:textColor="#000000"
        android:text="@string/dash2_full_screen_ad_cta" />

</android.support.constraint.ConstraintLayout>